[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLDBParams

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TParams descendant with room to store engine-specific data

## Declaration

Source position: sqldb.pp line 154

`type TSQLDBParams = class(TParams)`
`end;`

## Inheritance

`TSQLDBParams` |  | TParams descendant with room to store engine-specific data
`TParams` |  | A collection of parameter values for SQL-based datasets
`TCollection`
`TPersistent,IFPObserved`
`TObject`

## Description

TSQLDBParams is a TParams descendent which creates TSQLDBParams descendents when a new field is added to the field set, to provide storage for engine-specific field data.

## See also

TSQLDBParam |  | TParam descendent used in SQLDB